Subject: RE: M2UA / M3UA / SUA: Sending Data Messages on Stream 0 : M2PA : Text Change

From: [email-masked]
Date: Tue, 6 Nov 2001 14:00:45 +0530

Hi ,

i think this text should be modified by the M2PA author also ;-)

"1.7.4 SCTP Stream Management

SCTP allows a user-specified number of streams to be opened during the
initialization.  It is the responsibility of the M2PA layer to ensure
proper management of the streams allowed within each association.

M2PA uses two streams in each direction for each association. Stream 0
in each direction is designated for Link Status messages. Stream 1 is
designated for User Data and Proving Data messages. Separating the
Link Status and User Data messages onto separate stream allows M2PA to
prioritize the messages in a manner similar to MTP2."

best regards
dipak

[email-masked] on 11/06/2001 01:38:49 PM

Please respond to [email-masked]

To:   "sigtran" <[email-masked]>
cc:    (bcc: Dipak Aggarwal/HSS)

Subject:  RE: M2UA / M3UA / SUA: Sending Data Messages on Stream 0

Hi Dipak,

> i have a querry
> that if we use the same stream for Data and MGMT messages.
> If Congestion occurs due to heavy data flow.
> MGMT messages will not be able to reach the other end.
> I think this is wrong  :-o
>
> I believe DATA should be sent on any stream other than stream 0,
> which is used for sequenced delivery of MGMT messages.
>
> If it needs to be addressed on all UA level it should.

I agree with your point, this is why we use SHOULD to state this.
Currently, single stream implementations of the UAs are not
forbidden, so we cannot say forbid sending of DATA messages on
stream 0.

However, I can adjust the language, if it is agreed by the
authors of the other UAs.

John

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to
[email-masked]

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]